Zoneminder 1.32 problem z instalacją

Pomoc dotycząca instalacji systemu
kamilian
Posty: 9
Rejestracja: 28 kwietnia 2020, 09:35

Zoneminder 1.32 problem z instalacją

Post autor: kamilian » 28 kwietnia 2020, 09:39

Witam,
czy ktoś to instalował na Debianie 9 bądź 10 i może pomóc w instalacji?
Robię wszystko tak jak w instrukcji https://wiki.zoneminder.com/Debian niestety nie idzie tego zainstalować
Jesli ktoś z Was ma to zainstalowane proszę o pomoc krok po kroku.
A więc tak to się przedstawia

Kod: Zaznacz cały

root@debian:/home/kamilian# sudo apt install zoneminder
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
Pakiet zoneminder nie ma dostępnej wersji, ale odnosi się do niego inny pakiet.
Zazwyczaj oznacza to, że pakietu brakuje, został zastąpiony przez inny
pakiet lub nie jest dostępny przy pomocy obecnie ustawionych źródeł.

E: Pakiet zoneminder nie ma kandydata do instalacji
pozdrawiam
Kamil

Awatar użytkownika
dedito
Moderator
Posty: 3171
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Zoneminder 1.32 problem z instalacją

Post autor: dedito » 28 kwietnia 2020, 14:59

Najwyraźniej nie dodałeś repozytoriów zoneminder.
Zobaczmy co tam masz zdefiniowane w bazie repozytoriów:

Kod: Zaznacz cały

apt policy
P.S. Używanie sudo gdy jest się zalogowanym na koncie root, jest w tym przypadku niepotrzebne.

kamilian
Posty: 9
Rejestracja: 28 kwietnia 2020, 09:35

Re: Zoneminder 1.32 problem z instalacją

Post autor: kamilian » 28 kwietnia 2020, 15:09

Jeszcze coś takiego wyskakuje i niestety nie moge tych pakietów tez zainstalowac

Kod: Zaznacz cały

Następujące pakiety mają niespełnione zależności:
 zoneminder : Wymaga: libavcodec56 (>= 6:11~beta1) ale nie da się go zainstalować lub
                      libavcodec-extra-56 (>= 6:11.4) ale nie da się go zainstalować
              Wymaga: libavformat56 (>= 6:11~beta1) ale nie da się go zainstalować
              Wymaga: libavutil54 (>= 6:11~beta1) ale nie da się go zainstalować
              Wymaga: libmysqlclient18 (>= 5.5.24+dfsg-1) ale nie da się go zainstalować
              Wymaga: libswscale3 (>= 6:11~beta1) ale nie da się go zainstalować
              Wymaga: php5-mysql ale nie da się go zainstalować
              Poleca: libapache2-mod-php5 ale nie da się go zainstalować lub
                      php5-fpm ale nie da się go zainstalować
E: Nie udało się naprawić problemów, zatrzymano uszkodzone pakiety.

Kod: Zaznacz cały

Plików pakietów:
 100 /var/lib/dpkg/status
     release a=now
 500 https://zmrepo.zoneminder.com/debian/release stretch/ Packages
     release o=ZoneMinder,a=stretch,n=stretch,l=ZoneMinder,c=
     origin zmrepo.zoneminder.com
 100 http://archive.debian.org/debian jessie-backports/non-free i386 Packages
     release o=Debian Backports,a=jessie-backports,n=jessie-backports,l=Debian Backports,c=non-free,b=i386
     origin archive.debian.org
 100 http://archive.debian.org/debian jessie-backports/contrib i386 Packages
     release o=Debian Backports,a=jessie-backports,n=jessie-backports,l=Debian Backports,c=contrib,b=i386
     origin archive.debian.org
 100 http://archive.debian.org/debian jessie-backports/main i386 Packages
     release o=Debian Backports,a=jessie-backports,n=jessie-backports,l=Debian Backports,c=main,b=i386
     origin archive.debian.org
 500 http://deb.debian.org/debian stretch-updates/main i386 Packages
     release o=Debian,a=oldstable-updates,n=stretch-updates,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://security.debian.org/debian-security stretch/updates/main i386 Packages
     release v=9,o=Debian,a=oldstable,n=stretch,l=Debian-Security,c=main,b=i386
     origin security.debian.org
 500 http://deb.debian.org/debian stretch/main i386 Packages
     release v=9.12,o=Debian,a=oldstable,n=stretch,l=Debian,c=main,b=i386
     origin deb.debian.org
Przypięte pakiety:

Awatar użytkownika
dedito
Moderator
Posty: 3171
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Zoneminder 1.32 problem z instalacją

Post autor: dedito » 28 kwietnia 2020, 15:31

Masz repozytoria z dwóch edycji Debiana.
Pokaż jaką masz obecnie:

Kod: Zaznacz cały

cat /etc/debian_version && uname -a

kamilian
Posty: 9
Rejestracja: 28 kwietnia 2020, 09:35

Re: Zoneminder 1.32 problem z instalacją

Post autor: kamilian » 28 kwietnia 2020, 15:42

Kod: Zaznacz cały

cat /etc/debian_version && uname -a                    9.12
Linux debian 4.9.0-12-686-pae #1 SMP Debian 4.9.210-1 (2020-01-20) i686 GNU/Linux

Awatar użytkownika
dedito
Moderator
Posty: 3171
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Zoneminder 1.32 problem z instalacją

Post autor: dedito » 28 kwietnia 2020, 15:45

Ok, czyli obecnie masz stretch.
Usuń sobie repozytoria jessie i pokaż jako root wynik komendy:

Kod: Zaznacz cały

apt update

kamilian
Posty: 9
Rejestracja: 28 kwietnia 2020, 09:35

Re: Zoneminder 1.32 problem z instalacją

Post autor: kamilian » 28 kwietnia 2020, 15:46

Kod: Zaznacz cały

 apt update
Stary:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://deb.debian.org/debian stretch InRelease
Stary:3 http://deb.debian.org/debian stretch-updates InRelease
Stary:4 http://deb.debian.org/debian stretch Release
Ign:5 http://http.us.debian.org/debian main InRelease
Błąd:6 http://http.us.debian.org/debian main Release
  404  Not Found [IP: 208.80.154.15 80]
Ign:8 https://zmrepo.zoneminder.com/debian/release stretch/ InRelease
Stary:9 https://zmrepo.zoneminder.com/debian/release stretch/ Release
Czytanie list pakietów... Gotowe
E: The repository 'http://http.us.debian.org/debian main Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Awatar użytkownika
dedito
Moderator
Posty: 3171
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Zoneminder 1.32 problem z instalacją

Post autor: dedito » 28 kwietnia 2020, 15:55

Ustaw sobie na zgodność z wiki debiana https://wiki.debian.org/SourcesList#sources.list_format (tam już jest buster)

Kod: Zaznacz cały

deb http://deb.debian.org/debian stretch main contrib non-free
deb http://deb.debian.org/debian-security/ stretch/updates main contrib non-free
deb http://deb.debian.org/debian stretch-updates main contrib non-free
deb http://deb.debian.org/debian stretch-backports main contrib non-free
I ponownie pokaż

Kod: Zaznacz cały

apt update

kamilian
Posty: 9
Rejestracja: 28 kwietnia 2020, 09:35

Re: Zoneminder 1.32 problem z instalacją

Post autor: kamilian » 28 kwietnia 2020, 17:54

Czyli wystarczy te repozytoria co podałeś czy cos jeszcze dodac? jestem początkującym użytkownikiem linuxa więc sorry za pytania ale dla mnie to ciemna magia. Tym bardziej ciemna że jakiś czas temu zainstalowało się poprawnie, ale nie mam zielonego pojęcia z jakiego toturiala korzystałem

Awatar użytkownika
dedito
Moderator
Posty: 3171
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Zoneminder 1.32 problem z instalacją

Post autor: dedito » 28 kwietnia 2020, 19:08

Zoneminder jest w repozytoriach Debiana, nie musisz dodawać repozytorium producenta.
Piszesz, że jesteś początkujący to proponuje instalować z repozytorium Debiana, chyba, że wybór repozytorium producenta zoneminder był świadomy.
Daj znać co w tym temacie i potem już powinno być z górki.

Zablokowany